Page MenuHomePhabricator

A vision for templates / wikitext 2.0
Closed, DeclinedPublic

Description

This topic proposal is inspired by:

It will hopefully include discussions of several on-going and prospective projects in the template and parsing space:

As well as improvements to code/data/presentation separation in the template engine, moving away from unsafe string concatenation:

SUMMIT PLAN

  • Evangelize the need for template improvements, gather use cases from template authors, and communicate/disseminate some of the changes "definitely" coming up.
  • Discuss the more speculative proposals, allow cross-fertilization of the best ideas, and hopefully commit to putting resources behind one or a few of the most promising proposals to bring them to a proof-of-concept implementation.

Event Timeline

cscott created this task.Sep 17 2015, 11:07 PM
cscott raised the priority of this task from to Needs Triage.
cscott updated the task description. (Show Details)
cscott added subscribers: cscott, ssastry, brion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 11:07 PM
Tgr added a subscriber: Tgr.Sep 21 2015, 2:52 AM
Qgil added a subscriber: Qgil.Oct 3 2015, 8:57 PM

Congratulations! This is one of the 52 proposals that made it through the first deadline of the Wikimedia-Developer-Summit-2016 selection process. Please pay attention to the next one: > By 6 Nov 2015, all Summit proposals must have active discussions and a Summit plan documented in the description. Proposals not reaching this critical mass can continue at their own path out of the Summit.

November 6, and this proposal doesn't seem to have much traction, it is not on track. Unless there is a sudden change, I will leave the ultimate decision of pre-scheduling it for the Wikimedia-Developer-Summit-2016 to @RobLa-WMF and the Architecture Committee.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 6 2015, 11:23 AM

Part of the reason why I hadn't chimed in here yet .. even though this is very much what we (the Parsing Team) are interested in is because a lot has to happen in the individual RFCs linked here. But, on the other hand, it is useful to have an umbrella and think about this coherently and a bit more longer-term in terms of how we want wikitext to evolve. So, this would be a useful session to think about this beyond just the various specific tweaks.

Towards that end, here are some possible metrics against which we can evaluate ideas and proposals.

  1. How does it affect ability to write tools for wikitext editing?
  2. How does it affect ability of DOM-based editing tools like Visual Editor, Context Translation?
  3. How does it affect ability to reason about wikitext (for humans looking at wikitext, in the presence of various markup errors that are inevitable)?
  4. How does it impact performance of parsing wikitext?
  5. How does it affect the complexity of parsing wikitext?
  6. What about all the old revisions out there?

So, editability, performance, complexity, consistency, backward compatibility concerns need to be kept in mind.

cscott updated the task description. (Show Details)Nov 6 2015, 6:51 PM
cscott set Security to None.
ssastry updated the task description. (Show Details)Nov 6 2015, 6:54 PM
jmadler added a subscriber: jmadler.Jan 6 2016, 5:13 AM

Wikimedia Developer Summit 2016 ended two weeks ago. This task is still open. If the session in this task took place, please make sure 1) that the session Etherpad notes are linked from this task, 2) that followup tasks for any actions identified have been created and linked from this task, 3) to change the status of this task to "resolved". If this session did not take place, change the task status to "declined". If this task itself has become a well-defined action which is not finished yet, drag and drop this task into the "Work continues after Summit" column on the project workboard. Thank you for your help!

Aklapper closed this task as Declined.Oct 17 2016, 10:15 AM

Declining this task as I assume this session did not take place at Wikimedia Developer Summit 2016.